<form name="editForm" role="form" novalidate (ngSubmit)="previousState()" #editForm="ngForm">
    <p-panel>
        <p-header>
            Input Isi Nama
        </p-header>

        <div class="modal-body">
            <p-accordion>
                <p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.dataCustomer' | translate}}">
                    <div *ngIf="salesUnitRequirement.idReqTyp != 12">
                        <jhi-isinama-customer-view 
                            [readonly]="true"
                            [idCustomer]="salesUnitRequirement.customerId"
                            [idReqTyp]="salesUnitRequirement.idReqTyp"
                        ></jhi-isinama-customer-view>
                    </div>
                </p-accordionTab>
                <p-accordionTab header="Data STNK">
                    <div *ngIf="vehicleDocumentRequirement.personOwner != null; then templatePerson; else templateOrganization"></div>
                    <ng-template #templatePerson>
                        <div class="ui-g">
                            <div class="ui-g-3 ui-sm-12" align="right">
                                {{'mpmApp.salesUnitRequirement.stnk.sameWithCustomer' | translate}}
                                <p-inputSwitch onLabel="Yes" offLabel="No" [(ngModel)]="isSameWithCustomer" (onChange)="onChangeSameWithCustomer($event)" name="isSameWithCustomer" id="isSameWithCustomer">
                                </p-inputSwitch>
                            </div>
                        </div>
                        <jhi-isinama-edit-person-stnk 
                            [person]="vehicleDocumentRequirement.personOwner"
                            [readonly]="disable"
                        ></jhi-isinama-edit-person-stnk>
                        <button class="btn btn-primary btn-lg btn-block" (click)="save()">
                            Update Data Stnk
                        </button>
                    </ng-template>
                    <!-- </div> -->
                    <ng-template #templateOrganization>
                        <div class="ui-g">
                                <div class="ui-g-3 ui-sm-12" align="right">
                                    {{'mpmApp.salesUnitRequirement.stnk.sameWithCustomer' | translate}}
                                    <p-inputSwitch onLabel="Yes" offLabel="No" [(ngModel)]="isSameWithCustomer" (onChange)="onChangeSameWithCustomerGc($event)" name="isSameWithCustomerGc" id="isSameWithCustomerGc">
                                    </p-inputSwitch>
                                </div>
                        </div>
                        <jhi-isinama-edit-organization
                            [organization]="vehicleDocumentRequirement.organizationOwner"
                            [readonly]="disable"
                        ></jhi-isinama-edit-organization>
                        <button class="btn btn-primary btn-lg btn-block" (click)="save()">
                            Update Data Stnk
                        </button>
                    </ng-template>
                        
                </p-accordionTab>
                <!-- <p-accordionTab header="Data Kendaraan" *ngIf="vehicleDocumentRequirement.idRequirement == null">
                    <div class="ui-g">
                        <div class="ui-g-12 ui-md-6">
                            <div class="ui-g-12">
                                Tipe Kendaraan
                            </div>
                            <div class="ui-g-12">
                                <select class="form-control" (change)="selectMotor(true)" id="field_product" name="product" [(ngModel)]="vehicleDocumentRequirement.vehicle.productId">
                                    <option [ngValue]="null"></option>
                                    <option [ngValue]="productOption.idProduct" *ngFor="let productOption of motors; trackBy: trackMotorById">{{productOption.idProduct}} - {{productOption.name}}</option>
                                </select>
                            </div>
                        </div>
                        <div class="ui-g-12 ui-md-6">
                            <div class="ui-g-12">
                                No Rangka
                            </div>
                            <div class="ui-g-12">
                                <input pInputText type="text" class="form-control" name="frame" [(ngModel)]="vehicleDocumentRequirement.vehicle.idFrame" />
                            </div>
                        </div>
                        <div class="ui-g-12 ui-md-6">
                            <div class="ui-g-12">
                                Warna
                            </div>
                            <div class="ui-g-12">
                                <select class="form-control" id="field_feature" name="feature" [(ngModel)]="vehicleDocumentRequirement.vehicle.featureId">
                                    <option [ngValue]="null">-Please Select-</option>
                                    <option [ngValue]="featureOption.idFeature" *ngFor="let featureOption of features; trackBy: trackFeatureById">{{featureOption.refKey}} - {{featureOption.description}}</option>
                                    </select>
                            </div>
                        </div>
                        <div class="ui-g-12 ui-md-6">
                            <div class="ui-g-12">
                                No Permintaan No Mesin
                            </div>
                            <div class="ui-g-12">
                                <input pInputText type="text" class="form-control" name="machine" [(ngModel)]="vehicleDocumentRequirement.vehicle.idMachine" />
                            </div>
                        </div>
                        <div class="ui-g-12 ui-md-6">
                            <div class="ui-g-12">
                                Tahun Produksi
                            </div>
                            <div class="ui-g-12">
                                <select class="form-control" id="field_internal" name="internal">
                                        <option [ngValue]="null"></option>
                                    </select>
                            </div>
                        </div>
                        <div class="ui-g-12 ui-md-6">
                            <div class="ui-g-12">
                                No permintaan No Polisi
                            </div>
                            <div class="ui-g-12">
                                <input pInputText type="text" class="form-control" />
                            </div>
                        </div>
                        <div class="ui-g-12 ui-md-6">
                        </div>
                        <div class="ui-g-12 ui-md-6">
                            <div class="ui-g-12">
                                Note lain-lain
                            </div>
                            <div class="ui-g-12">
                                <input pInputText type="text" class="form-control" name="note" [(ngModel)]="vehicleDocumentRequirement.idMachine" />
                            </div>
                        </div>
                    </div>
                </p-accordionTab> -->
                <p-accordionTab header="{{'mpmApp.vehicleDocumentRequirement.labelDataVehicle' | translate}}">
                    <div class="ui-g">
                        <div class="ui-g-6">
                            <div class="ui-g-12">
                                <label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelTypeCode">Kode Tipe</label>
                                <label class="form-control-label ui-g-6">
                                    : {{ vehicleDocumentRequirement.vehicle.productId }}
                                </label>
                            </div>
                            <div class="ui-g-12">
                                <label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelMarketName">Market Name</label>
                                <label class="form-control-label ui-g-6">
                                    : {{ vehicleDocumentRequirement.vehicle.productName }}
                                </label>
                            </div>
                            <div class="ui-g-12">
                                <label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelColor">Warna</label>
                                <label class="form-control-label ui-g-6">
                                    : {{ vehicleDocumentRequirement.vehicle.featureId }}
                                </label>
                            </div>
                            <div class="ui-g-12">
                                <label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelProductionYear">Tahun Produksi</label>
                                <label class="form-control-label ui-g-6">
                                    : {{ vehicleDocumentRequirement.vehicle.yearOfAssembly }}
                                </label>
                            </div>
                            <div class="ui-g-12">
                                <label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelNoChassis">No. Rangka</label>
                                <label class="form-control-label ui-g-6">
                                    : {{ vehicleDocumentRequirement.vehicle.idFrame }}
                                </label>
                            </div>
                            <div class="ui-g-12">
                                <label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelNoMachine">No. Mesin</label>
                                <label class="form-control-label ui-g-6">
                                    : {{ vehicleDocumentRequirement.vehicle.idMachine }}
                                </label>
                            </div>
                        </div>
                        <div class="ui-g-6">
                            <div class="ui-g-12">
                                <label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelRequestNotes">Note Permintaan Noka dan Nosin</label>
                                <label class="form-control-label ui-g-6">
                                    :
                                </label>
                            </div>
                            <div class="ui-g-12">
                                <label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelOtherNotes">Note Lain-lain</label>
                                <label class="form-control-label ui-g-6">
                                    :
                                </label>
                            </div>
                        </div>
                    </div>
                </p-accordionTab>

                <p-accordionTab header="Detail CDB" *ngIf="vehicleDocumentRequirement.organizationOwner">
                    <jhi-isinama-edit-data-cdb-gc 
                    [idCustomer]="salesUnitRequirement.customerId" 
                    [sur]="salesUnitRequirement"
                    [editabled]="true"
                    [dataStnk]="vehicleDocumentRequirement">
                    </jhi-isinama-edit-data-cdb-gc> 
                </p-accordionTab>     
                <p-accordionTab header="Detail CDB" *ngIf="!vehicleDocumentRequirement.organizationOwner">
                    <jhi-isinama-edit-data-cdb 
                    [idCustomer]="salesUnitRequirement.customerId"
                    [sur]="salesUnitRequirement"
                    [editabled]="true"
                    [dataStnk]="vehicleDocumentRequirement">
                    </jhi-isinama-edit-data-cdb> 
                </p-accordionTab>     
                <!-- <p-accordionTab header="Detail CDB">   
                    <div *ngIf="salesUnitRequirement.idReqTyp == 102 || salesUnitRequirement.idReqTyp == 103 || salesUnitRequirement.idReqTyp == null; then cdbPerson; else cdbOrganization">
                    </div>     
                        <ng-template #cdbOrganization>
                            <jhi-isinama-edit-data-cdb-gc 
                            [idCustomer]="salesUnitRequirement.customerId" 
                            [idReqTyp]="101"
                            [sur]="salesUnitRequirement"
                            [editabled]="true"
                            [dataStnk]="vehicleDocumentRequirement">
                            </jhi-isinama-edit-data-cdb-gc>    
                        </ng-template>     
                        <ng-template #cdbPerson>
                            <jhi-isinama-edit-data-cdb 
                            [idCustomer]="salesUnitRequirement.customerId" 
                            [idReqTyp]="salesUnitRequirement.idReqTyp"
                            [sur]="salesUnitRequirement"
                            [editabled]="true"
                            [dataStnk]="vehicleDocumentRequirement">
                            </jhi-isinama-edit-data-cdb>   
                        </ng-template>    
                                     
                </p-accordionTab> -->
            </p-accordion>
        </div>

        <p-footer>
            <a class="btn btn-primary" (click)="verification()">Verifikasi</a>
            <a class="btn btn-primary" (click)="previousState()">Kembali</a>
        </p-footer>
    </p-panel>
</form>